[tool.poetry]
name = "fastapiusers"
version = "0.1.0"
description = ""
authors = ["dtomlinson <dtomlinson@panaetius.co.uk>"]

[tool.poetry.dependencies]
python = "^3.8"
uvicorn = "^0.11.3"
fastapi-users = {extras = ["mongodb"], version = "^0.6.6"}
httpx_oauth = "^0.2.1"
jinja2 = "^2.11.1"

[tool.poetry.dev-dependencies]
pytest = "^3.0"
python-language-server = "^0.31.8"
Rope = "^0.16.0"
Pyflakes = "^2.1.1"
McCabe = "^0.6.1"
pycodestyle = "^2.5.0"
pydocstyle = "^5.0.2"
autopep8 = "^1.5"
YAPF = "^0.29.0"
pudb = "^2019.2"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
